:root {
  --bg: #dddddd;
}

html,
body {
  min-height: 100vh;
  overflow: hidden;
  background-color: var(--bg);
}

body {
  display: flex;
  flex-direction: column;
}

header {
  text-align: center;
}

main {
  flex: 1;
  min-height: 80vh;
}

/* wrap inner element's margin */
.parent {
  overflow: hidden;
}

.center-text {
  text-align: center;
}
